Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 264641 - Review Request: libconfig - simple library for manipulating structured configuration files
Summary: Review Request: libconfig - simple library for manipulating structured config...
Keywords:
Status: CLOSED DUPLICATE of bug 405901
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2007-08-29 18:31 UTC by Ian Burrell
Modified: 2007-11-30 22:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-10-19 15:12:21 UTC


Attachments (Terms of Use)

Description Ian Burrell 2007-08-29 18:31:06 UTC
Spec URL: http://znark.com/fedora/libconfig.spec
SRPM URL: http://znark.com/fedora/libconfig-1.1.3-1.fc7.src.rpm
Description: 

libconfig is a simple library for manipulating structured
configuration files. This file format is more compact and more
readable than XML. And unlike XML, it is type-aware, so it is not
necessary to do string parsing in application code.

Libconfig is very compact — just 25K for the stripped C shared library
(one-fifth the size of the expat XML parser library) and 39K for the
stripped C++ shared library. This makes it well-suited for
memory-constrained systems like handheld devices.

The library includes bindings for both the C and C++ languages. It
works on POSIX-compliant UNIX systems (GNU/Linux, Mac OS X, Solaris,
FreeBSD) and Windows (2000, XP and later).

Comment 1 Mamoru TASAKA 2007-09-13 09:03:32 UTC
For 1.1.3-1:

* rpmlint
  - First please check your rpms by rpmlint before submitting
    to review request.
-----------------------------------------------------
libconfig.i386: E: info-files-without-install-info-postin
/usr/share/info/libconfig.info.gz
libconfig.i386: E: info-files-without-install-info-postun
/usr/share/info/libconfig.info.gz
libconfig.i386: E: library-without-ldconfig-postin /usr/lib/libconfig.so.2.2.3
libconfig.i386: E: library-without-ldconfig-postun /usr/lib/libconfig.so.2.2.3
libconfig.i386: W: file-not-utf8 /usr/share/doc/libconfig-1.1.3/AUTHORS
libconfig.i386: E: library-without-ldconfig-postin /usr/lib/libconfig++.so.2.2.3
libconfig.i386: E: library-without-ldconfig-postun /usr/lib/libconfig++.so.2.2.3
libconfig-devel.i386: W: no-documentation
-----------------------------------------------------
   For this package, the rpmlint complaint above must all be fixed
   (for this package, info file should be moved to -devel subpackage).

* Static archive
  - Please remove static archives and pass "--disable-static" option to %configure.

* Documents
  - File "INSTALL" is for people who want to build this package by themselves
    and not needed for people who use rpm for installing this package.
    (also check the section "Documentation" of
     http://fedoraproject.org/wiki/Packaging/Guidelines)

  - And please also check if "README" file is needed.

  - File "ChangeLog" contains the useful info for developers and
    should be added to -devel subpackage.

* pkgconfig .pc file
  - A package which contains pkgconfig .pc file must have
    "Requires: pkgconfig". Check:
    http://fedoraproject.org/wiki/Packaging/ReviewGuidelines

* Timestamp
  - I recommend
-----------------------------------------------------------
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
-----------------------------------------------------------
    to keep timestamp on the installed header files and
    info file. This method usually work for packages
    using recent Makefile.


Comment 2 Mamoru TASAKA 2007-09-19 07:07:28 UTC
ping?

Comment 3 Mamoru TASAKA 2007-09-24 11:39:21 UTC
ping again?

Comment 4 Mamoru TASAKA 2007-10-01 14:03:11 UTC
ping again!

Comment 5 Mamoru TASAKA 2007-10-11 07:27:05 UTC
I will close this bug if no response from the reported is received
within ONE WEEK.

Comment 6 Mamoru TASAKA 2007-10-19 15:12:21 UTC
CLOSING.

If someone wants to import this package into Fedora, please
open a new review request, thanks.

Comment 7 Mamoru TASAKA 2007-11-30 15:15:25 UTC

*** This bug has been marked as a duplicate of 405901 ***


Note You need to log in before you can comment on or make changes to this bug.